/* Landing Page */

/****************************** Global rules : hi-res computers ******************************/
html.index {
  width: 100%;
  height: 100%;
  position: fixed;

  @media screen {
    body {
      @include roboto-condensed-font-family;

      width: 100%;
      height: 100%;
      position: fixed;
      background-color: $clear-water-blue;
      line-height: 1.8rem;
      min-height: 100%;
      margin: 0;
      padding: 0;
      font-weight: lighter;
      color: $dark-grey;
    }

    #app {
      padding: 1% 1% 0 1%;
    }

    header {
      height: min-content;
      display: flex;
      justify-content: flex-end;
      align-items: center;
      position: -webkit-sticky;
      position: sticky;
      overflow: hidden;
      z-index: 10;
      top: 0;
    }

    main {
      @include fading-in(1.5s);

      position: fixed;
      top: 10%;
      display: flex;
      text-align: center;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 100%;
      height: 90%;
      z-index: 10;

      .title {
        color: $dark-grey;
        max-width: 70%;

        h1.title-main {
          @include althea-font-family;

          color: $dark-grey;
          flex-grow: 1;
          font-size: 3rem;
          font-weight: 200;
          line-height: 120%;
          margin-bottom: 0;
          padding-bottom: 0;
        }

        h2.title-note {
          color: $dark-grey;
          font-size: 1.2rem;
          font-weight: lighter;
          margin-top: 0;
          padding-top: 0;
          padding-bottom: 1.5%;
        }
      }

      p {
        max-width: 80%;
        padding-bottom: 2%;
      }
    }

    .background-fish {
      height: 45%;
    }

    #bottom-left-blue-fish {
      position: fixed;
      bottom: 0.5%;
      left: 4.5%;
    }

    #top-right-red-fish {
      position: fixed;
      top: 0.5%;
      right: 4.5%;
    }

    .ornamental-foliage {
      position: fixed;
      z-index: 1;
    }

    #top-foliage-1 {
      top: 0;
      left: 0;
      transform: translateX(20%) translateY(40%) scaleX(1.4) scaleY(2);
      opacity: 0.7;
    }

    #top-foliage-2 {
      top: 0;
      right: 75%;
      transform: translateX(200%) translateY(-90%) scaleX(-2.5) scaleY(4);
      opacity: 0.9;
    }

    #top-foliage-3 {
      top: 0;
      right: 50%;
      transform: rotate(180deg) translateX(-130%) translateY(25%);
      opacity: 0.6;
    }

    #left-foliage-1 {
      top: 0;
      left: 0;
      transform: rotate(270deg) translateX(-152%) translateY(-25%) scaleY(2.3) scaleX(1.6);
      transform-origin: left top;
      opacity: 0.4;
    }

    #left-foliage-2 {
      bottom: 70%;
      left: 0;
      transform: rotate(90deg) translateX(117%) translateY(-75%) scaleX(-0.75) scaleY(0.75);
      transform-origin: left top;
      opacity: 0.7;
    }

    #bottom-foliage-1 {
      bottom: 0;
      left: 0;
      transform: translateX(40%) translateY(10%);
      opacity: 0.8;
    }

    #bottom-foliage-2 {
      bottom: 0;
      right: 75%;
      transform: rotate(180deg) translateX(-250%) translateY(25%) scaleX(2) scaleY(2.5);
      opacity: 0.8;
    }

    #right-foliage-1 {
      bottom: 72%;
      right: 0;
      transform: rotate(270deg) translateX(-50%) translateY(145%) scaleX(-0.6) scaleY(0.9);
      opacity: 1;
    }
  }

  /******************************  Mobile devices: Portrait ******************************/

  @media screen and (orientation: portrait) {
    /* Smallest screens: 320px < width < 360px and 400px < height < 641px */
    @media screen and (min-width: 320px) and (max-width: 360px) and (min-height: 400px) and (max-height: 641px) {
      font-size: 15px;

      main {
        top: 5%;

        .title {
          h1 {
            font-size: 2rem;
          }

          h2 {
            font-size: 1.1rem;
          }
        }
      }

      /* Special rules for very tiny screens (ex: iPhone SE), which is actually 320x454 */
      @media screen and (max-width: 320px), screen and (max-height: 400px) {
        font-size: 13px;

        main {
          top: 12%;
        }
      }

      .background-fish {
        height: 15%;
      }

      #bottom-left-blue-fish {
        bottom: 0;
        left: 2%;
      }

      #top-right-red-fish {
        top: 0;
        right: 2%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(-38%) translateY(-30%) scaleX(0.75) scaleY(0.75);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        display: none;
      }

      #left-foliage-1 {
        display: none;
      }

      #left-foliage-2 {
        bottom: 90%;
        left: 0;
        transform: rotate(90deg) translateX(75%) translateY(-25%) scaleX(-0.4) scaleY(0.4);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        display: none;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 85%;
        transform: rotate(180deg) translateX(-115%) translateY(-40%) scaleX(1) scaleY(1.25);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-32%) translateY(200%) scaleX(-0.7) scaleY(1);
        opacity: 1;
      }
    }

    /* Normal width and height screens: 360 < width < 768 and height < 800 */
    @media screen and (min-width: 360px) and (max-width: 768px) and (max-height: 800px) {
      font-size: 16px;

      main {
        top: 5%;

        .title {
          h1 {
            font-size: 2.2rem;
          }

          h2 {
            font-size: 1.2rem;
          }
        }
      }

      .background-fish {
        height: 20%;
      }

      #bottom-left-blue-fish {
        bottom: 0;
        left: 2%;
      }

      #top-right-red-fish {
        top: 0;
        right: 2%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(-38%) translateY(-30%) scaleX(0.75) scaleY(0.75);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        display: none;
      }

      #left-foliage-1 {
        display: none;
      }

      #left-foliage-2 {
        bottom: 90%;
        left: 0;
        transform: rotate(90deg) translateX(75%) translateY(-25%) scaleX(-0.4) scaleY(0.4);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        display: none;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 85%;
        transform: rotate(180deg) translateX(-115%) translateY(-40%) scaleX(1) scaleY(1.25);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-32%) translateY(200%) scaleX(-0.7) scaleY(1);
        opacity: 1;
      }
    }

    /* Tall screens: 360 < width < 768 and 800 < height */
    @media screen and (min-width: 360px) and (max-width: 768px) and (min-height: 800px) {
      font-size: 15.5px;

      main {
        top: 7%;

        .title {
          h1 {
            font-size: 2.5rem;
          }
        }
      }

      .background-fish {
        height: 25%;
      }

      #bottom-left-blue-fish {
        bottom: 0;
        left: 2%;
      }

      #top-right-red-fish {
        top: 0;
        right: 2%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(-10%) translateY(-30%) scaleX(1) scaleY(1);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        display: none;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-65%) translateY(-10%) scaleY(1) scaleX(0.6);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 90%;
        left: 0;
        transform: rotate(90deg) translateX(140%) translateY(-40%) scaleX(-0.5) scaleY(0.5);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(-25%) translateY(40%);
        opacity: 0.8;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 85%;
        transform: rotate(180deg) translateX(-160%) translateY(-10%) scaleX(1) scaleY(1.25);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-30%) translateY(185%) scaleX(-0.6) scaleY(0.8);
        opacity: 1;
      }
    }

    /* Tablets: 768 < width < 1024 */
    @media screen and (min-width: 768px) and (max-width: 1024px) {
      font-size: 20px;

      main {
        top: 11%;
      }

      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(0%) translateY(20%) scaleX(1) scaleY(1.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-130%) translateY(15%);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-100%) translateY(-25%) scaleY(2) scaleX(1.3);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 70%;
        left: 0;
        transform: rotate(90deg) translateX(130%) translateY(-62%) scaleX(-0.75) scaleY(0.75);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        display: none;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 120%;
        transform: rotate(180deg) translateX(-270%) translateY(-20%) scaleX(2) scaleY(2.5);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(180%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }

    /* Hi-res tablets: 1024 < width and 1024 < height */
    @media screen and (min-width: 1024px) and (min-height: 1024px) {
      font-size: 25px;

      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 25%;
        transform: translateX(0%) translateY(20%) scaleX(1) scaleY(1.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 50%;
        transform: rotate(180deg) translateX(-130%) translateY(15%);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-100%) translateY(-25%) scaleY(2) scaleX(1.3);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 85%;
        left: 0;
        transform: rotate(90deg) translateX(130%) translateY(-62%) scaleX(-0.75) scaleY(0.75);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(-25%) translateY(40%);
        opacity: 0.8;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 110%;
        transform: rotate(180deg) translateX(-310%) translateY(60%) scaleX(2) scaleY(2.5);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(180%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }
  }

  /****************************** Mobile devices: Landscape ******************************/

  @media screen and (orientation: landscape) {
    /* Old screens: width < 731 and height < 360 */
    @media screen and (max-width: 731px) and (max-height: 360px) {
      font-size: 11px;

      main {
        top: 13%;
      }

      .background-fish {
        height: 30%;
      }

      #bottom-left-blue-fish {
        bottom: 0;
        left: 2%;
      }

      #top-right-red-fish {
        top: 0;
        right: 2%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateY(-30%) scaleX(0.5) scaleY(0.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-85%) translateY(35%) scale(0.3) scaleX(-1);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-50%) translateY(-25%) scaleY(1) scaleX(0.6);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 70%;
        left: 0;
        transform: rotate(90deg) translateX(80%) translateY(-42%) scaleX(-0.5) scaleY(0.5);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(-15%) translateY(70%) scale(0.75);
        opacity: 0.8;
      }


      #bottom-foliage-2 {
        bottom: 0;
        right: 160%;
        transform: rotate(180deg) translateX(-250%) translateY(-55%) scaleX(1) scaleY(1.1);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(200%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }

    /* Normal screens: width < 731 and 361 < height < 684 */
    @media screen and (max-width: 731px) and (min-height: 361px) and (max-height: 684px) {
      font-size: 14px;

      // Some screens have a very small height when in landscape mode
      @media screen and (max-height: 420px) {
        font-size: 12px;
      }

      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateY(-30%) scaleX(0.5) scaleY(0.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-85%) translateY(35%) scale(0.3) scaleX(-1);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-50%) translateY(-25%) scaleY(1) scaleX(0.6);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 70%;
        left: 0;
        transform: rotate(90deg) translateX(80%) translateY(-42%) scaleX(-0.5) scaleY(0.5);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(-15%) translateY(70%) scale(0.75);
        opacity: 0.8;
      }


      #bottom-foliage-2 {
        bottom: 0;
        right: 160%;
        transform: rotate(180deg) translateX(-250%) translateY(-55%) scaleX(1) scaleY(1.1);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(200%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }

    /* Wide screens: 731 < width < 1024 and height < 684 */
    @media screen and (min-width: 731px) and (max-width: 1024px) and (max-height: 684px) {
      @media screen and (max-height: 400px) {
        font-size: 12px;
      }

      @media screen and (min-height: 400px) {
        font-size: 14px;
      }

      .background-fish {
        height: 30%;
      }

      #bottom-left-blue-fish {
        bottom: 0;
        left: 2%;
      }

      #top-right-red-fish {
        top: 0;
        right: 2%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateY(-30%) translateX(10%) scaleX(0.5) scaleY(0.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-85%) translateY(35%) scale(0.3) scaleX(-1);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-50%) translateY(-25%) scaleY(1) scaleX(0.6);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 70%;
        left: 0;
        transform: rotate(90deg) translateX(80%) translateY(-42%) scaleX(-0.5) scaleY(0.5);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(40%) translateY(50%) scale(0.75);
        opacity: 0.8;
      }


      #bottom-foliage-2 {
        bottom: 0;
        right: 160%;
        transform: rotate(180deg) translateX(-250%) translateY(-55%) scaleX(1) scaleY(1.1);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-42%) translateY(205%) scaleX(-0.7) scaleY(1);
        opacity: 1;
      }
    }

    /* Split windows: 731 < width < 1440 and 684 < height  */
    @media screen and (min-width: 731px) and (max-width: 1440px) and (min-height: 684px) {
      font-size: 19px;

      main {
        top: 14%;
      }

      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(20%) translateY(5%) scaleX(1) scaleY(1.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-130%) translateY(15%);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-100%) translateY(-25%) scaleY(2) scaleX(1.3);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 80%;
        left: 0;
        transform: rotate(90deg) translateX(130%) translateY(-62%) scaleX(-0.75) scaleY(0.75);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        display: none;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 140%;
        transform: rotate(180deg) translateX(-310%) translateY(-50%) scaleX(2) scaleY(2.5);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(180%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }

    /* Tablets: 1024 < width < 1280 and height < 800 */
    @media screen and (min-width: 1024px) and (max-height: 799px) {
      font-size: 19px;

      main {
        top: 14%;
      }

      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(20%) translateY(5%) scaleX(1) scaleY(1.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-130%) translateY(15%);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-100%) translateY(-25%) scaleY(2) scaleX(1.3);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 80%;
        left: 0;
        transform: rotate(90deg) translateX(130%) translateY(-62%) scaleX(-0.75) scaleY(0.75);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        display: none;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 140%;
        transform: rotate(180deg) translateX(-310%) translateY(-50%) scaleX(2) scaleY(2.5);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(180%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }

    /* Hi-res tablets and medium-res computers: 1024 < width < 1440 and 800 < height < 1280 */
    @media screen and (min-width: 1024px) and (max-width: 1440px) and (min-height: 800px) {
      .background-fish {
        height: 30%;
      }

      #top-foliage-1 {
        top: 0;
        left: 0;
        transform: translateX(20%) translateY(5%) scaleX(1) scaleY(1.5);
        opacity: 0.7;
      }

      #top-foliage-2 {
        display: none;
      }

      #top-foliage-3 {
        top: 0;
        right: 70%;
        transform: rotate(180deg) translateX(-130%) translateY(15%);
        opacity: 0.6;
      }

      #left-foliage-1 {
        top: 0;
        left: 0;
        transform: rotate(270deg) translateX(-100%) translateY(-25%) scaleY(2) scaleX(1.3);
        transform-origin: left top;
        opacity: 0.4;
      }

      #left-foliage-2 {
        bottom: 80%;
        left: 0;
        transform: rotate(90deg) translateX(130%) translateY(-62%) scaleX(-0.75) scaleY(0.75);
        transform-origin: left top;
        opacity: 0.7;
      }

      #bottom-foliage-1 {
        bottom: 0;
        left: 0;
        transform: translateX(15%) translateY(40%);
        opacity: 0.8;
      }

      #bottom-foliage-2 {
        bottom: 0;
        right: 105%;
        transform: rotate(180deg) translateX(-310%) translateY(-50%) scaleX(2) scaleY(2.5);
        opacity: 0.8;
      }

      #right-foliage-1 {
        bottom: 72%;
        right: 0;
        transform: rotate(270deg) translateX(-35%) translateY(180%) scaleX(-0.6) scaleY(0.9);
        opacity: 1;
      }
    }
  }

  /** Animated falling leaves seen from above: based on https://codepen.io/BjornRombaut/pen/mOLGgX **/

  .leaf-container {
    position: relative;
    height: 100vh;
    overflow: hidden;
  }

  $leaf-rotation-1: (45);
  $leaf-rotation-2: (30);
  $leaf-rotation-3: (0);
  $leaf-rotation-4: (60);

  @mixin leaf-keyframes($initial-rotation, $animation-name) {
    @keyframes #{$animation-name} {
      0% {
        transform: rotate($initial-rotation + deg);
        -webkit-transform: rotate($initial-rotation + deg);
      }

      40% {
        transform: rotate($initial-rotation+ 5 + deg) translate(10%, 5%);
        -webkit-transform: rotate($initial-rotation+ 5 + deg) translate(10%, 5%);
      }

      100% {
        transform: rotate($initial-rotation + deg);
        -webkit-transform: rotate($initial-rotation + deg);
      }
    }

    -webkit-animation: $animation-name 7s cubic-bezier(0.41, 0.04, 0.64, 0.97) infinite;
    animation: $animation-name 7s cubic-bezier(0.41, 0.04, 0.64, 0.97) infinite;
    -webkit-transform: rotate($initial-rotation + deg);
    transform: rotate($initial-rotation + deg);
    -webkit-transform-origin: center center;
    transform-origin: center center;
  }

  .leaf {
    z-index: 2;
    position: absolute;
    width: 3rem;
    height: 3rem;
    background-image: url('../../assets/svg/leaf.svg');

    &:nth-child(1) {
      @include leaf-keyframes($leaf-rotation-1, leaf-1);
      left: 20%;
      top: 55%;
    }

    &:nth-child(2) {
      @include leaf-keyframes($leaf-rotation-2, leaf-2);
      -webkit-animation-delay: 4s;
      animation-delay: 4s;
      left: 15%;
      top: 10%;
    }

    &:nth-child(3) {
      @include leaf-keyframes($leaf-rotation-3, leaf-3);
      animation-delay: 3s;
      -webkit-animation-delay: 3s;
      left: 75%;
      top: 60%;
    }

    &:nth-child(4) {
      @include leaf-keyframes($leaf-rotation-4, leaf-4);
      animation-delay: 5s;
      -webkit-animation-delay: 5s;
      left: 80%;
      top: 15%;
    }
  }
}
